%define ver 0.2.3
%define extension tar.gz

Summary:	A browser with gecko engine.
Name:		kazehakase
Version:	%{ver}
Release: 	1
URL: 		http://kazehakase.sourceforge.jp
Source0: 	%{name}-%{version}.%{extension}
Patch0:		kazehakase-0.2.3-nsIFilePickerAPIfix.patch
License: 	GPL
Group: 		Applications/Internet
BuildRoot: 	%{_tmppath}/%{name}-root
Packager: 	Yuhei Matsunaga <yuhei@users.sourceforge.jp>
BuildRequires: 	mozilla-devel >= 1.6, gtk+-devel >= 2.4.0
%requires_eq	mozilla
%define		mozver `rpm -q --provides mozilla | grep mozilla | sed 's/mozilla = //g'`

%description
Kazehakase is a browser with gecko engine like Epiphany or Galeon.

%prep
%setup -q

# patch for mozilla of Fedora Core 3 
if [ %{mozver} = 37:1.7.3-17 ]; then
%patch0 -p0
fi

%build
./configure --prefix=%{_prefix} --sysconfdir=%{_sysconfdir} --mandir=%{_mandir} --enable-migemo
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README README.ja AUTHORS ChangeLog COPYING.README TODO.ja
%{_sysconfdir}/kazehakase/*
%{_bindir}/kazehakase
%{_bindir}/kz
%{_datadir}/applications/kazehakase.desktop
%{_datadir}/kazehakase/icons/*.png
%{_datadir}/kazehakase/icons/*.xpm
%{_datadir}/locale/ja/LC_MESSAGES/kazehakase.mo
%{_datadir}/pixmaps/kazehakase-icon.png
%{_datadir}/kazehakase/kz-no-thumbnail.png
%{_datadir}/kazehakase/search-result.css

%changelog
* Thu Dec 30 2004 Yuhei Matsunaga <yuhei@users.sourceforge.jp> 0.2.3-1
- Update Version.
* Wed Dec 01 2004 Yuhei Matsunaga <yuhei@users.sourceforge.jp> 0.2.2-2
- Use patch only target destribution.
- Require mozilla version >= 1.6.
- Require gtk+ version >= 2.4.0.
* Tue Nov 30 2004 Yuhei Matsunaga <yuhei@users.sourceforge.jp> 0.2.2-1
- Updated version.
- Changed filelist.
- Added patch to fix nsIFilePickerAPI patch.
* Wed Nov 04 2004 Yuhei Matsunaga <yuhei@users.sourceforge.jp> 0.2.1-1
- Updated version.
- Changed filelist.
* Wed Sep 29 2004 Yuhei Matsunaga <yuhei@users.sourceforge.jp> 0.2.0-1
- Updated version.
* Mon Aug 30 2004 Yuhei Matsunaga <yuhei@users.sourceforge.jp> 0.1.9-1
- Updated version.
- Added gtk+-devel to BuildRequires.
- Changed filelist.
* Mon Aug 09 2004 Yuhei Matsunaga <yuhei@users.sourceforge.jp> 0.1.8.1-2
- The version of mozilla when building rpm was used.
- Added patch tp build with mozilla 1.7.2.
* Fri Jul 30 2004 Yuhei Matsunaga <yuhei@users.sourceforge.jp> 0.1.8.1-1
- Updated version.
* Fri Jul 30 2004 Yuhei Matsunaga <yuhei@users.sourceforge.jp> 0.1.8-1
- Updated version.
- Changed filelist.
* Wed Jun 30 2004 Yuhei Matsunaga <yuhei@users.sourceforge.jp> 0.1.7-2
- Added middleclick patch.
* Tue Jun 29 2004 Yuhei Matsunaga <yuhei@users.sourceforge.jp> 0.1.7-1
- Updated version.
- Changed filelist.
* Sat May 29 2004 Yuhei Matsunaga <yuhei@users.sourceforge.jp> 0.1.6-1
- Updated version.
* Sun May 02 2004 Yuhei Matsunaga <yuhei@users.sourceforge.jp> 0.1.5-1
- Updated version.
* Tue Mar 31 2004 Yuhei Matsunaga <yuhei@users.sourceforge.jp> 0.1.4-1
- Updated version.
- Changed icons file names in files section.
* Tue Mar 02 2004 Yuhei Matsunaga <yuhei@users.sourceforge.jp> 0.1.3-1
- Updated version.
* Thu Jan 29 2004 Yuhei Matsunaga <yuhei@users.sourceforge.jp> 0.1.2-1
- Updated version.
- Added kz-anchor.png
* Mon Dec 29 2003 Yuhei Matsunaga <yuhei@users.sourceforge.jp> 0.1.1-1
- Updated version.
- Changed Requires and BuildRequires to from 1.4.1.
- Changed Group to Applications/Internet.
* Sat Dec 06 2003 Yuhei Matsunaga <yuhei@users.sourceforge.jp> 0.1.0-1
- Initial build.
